.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the MenuButton.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_MenuButton:

MenuButton
==========

**Inherits:** :ref:`Button<class_button>` **<** :ref:`BaseButton<class_basebutton>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Special button that brings up a :ref:`PopupMenu<class_popupmenu>` when clicked.

Member Functions
----------------

+------------------------------------+-------------------------------------------------------------------------------------------------------------------+
| :ref:`PopupMenu<class_popupmenu>`  | :ref:`get_popup<class_MenuButton_get_popup>` **(** **)** const                                                    |
+------------------------------------+-------------------------------------------------------------------------------------------------------------------+
| void                               | :ref:`set_disable_shortcuts<class_MenuButton_set_disable_shortcuts>` **(** :ref:`bool<class_bool>` disabled **)** |
+------------------------------------+-------------------------------------------------------------------------------------------------------------------+

Signals
-------

.. _class_MenuButton_about_to_show:

- **about_to_show** **(** **)**

Emitted when :ref:`PopupMenu<class_popupmenu>` of this MenuButton is about to show.


Description
-----------

Special button that brings up a :ref:`PopupMenu<class_popupmenu>` when clicked. That's pretty much all it does, as it's just a helper class when building GUIs.

Member Function Description
---------------------------

.. _class_MenuButton_get_popup:

- :ref:`PopupMenu<class_popupmenu>` **get_popup** **(** **)** const

Return the :ref:`PopupMenu<class_popupmenu>` contained in this button.

.. _class_MenuButton_set_disable_shortcuts:

- void **set_disable_shortcuts** **(** :ref:`bool<class_bool>` disabled **)**


